Update Report Option By Id
https://app.fossa.com/api/report-options/{id}Update an existing saved report option by ID. Supports partial updates - only the fields provided will be updated, with deep merging for nested options. Requires permission to edit report options (ReportOptionAny or TeamReportOptionAny).
Path parameters
idintegerrequiredThe unique identifier of the report option to update
Request body (required) · application/json
namestringName of the report option (1-80 characters). Must be unique within the organization.
optionsobjectPartial report configuration. Only provided fields will be updated, with deep merging applied.
sectionsobjectControls which sections are included in the report
projectDeclaredLicensesbooleanfirstPartyLicensesbooleanlicenseListbooleandirectDependenciesbooleandeepDependenciesbooleansnippetDependenciesbooleancopyrightListbooleantogglesobjectFeature toggles for report generation
useHashAndVersionDatabooleanexcludeFieldsobjectFields to exclude from the report
packageLabelsinteger[]List of package label IDs to exclude
dependencyDataobjectControls which dependency data fields are included
projectsbooleanauthorsbooleandescriptionbooleanhomepagebooleanpackageManagerbooleandownloadUrlbooleanconcludedLicensesbooleandeclaredLicensesbooleandiscoveredLicensesbooleancopyrightsbooleanlicenseUrlbooleanlicenseFileMatchesbooleanissueResolutionNotesbooleanpackageLabelsbooleandependencyPathsbooleanfilePathsbooleannoticeFilesbooleanfullLicenseTextbooleanResponses
200Report option updated successfullyidintegerrequiredUnique identifier for the report option
namestringrequiredName of the saved report option
organizationIdintegerrequiredID of the organization that owns this report option
optionsobjectrequiredConfiguration options for customizing report generation
sectionsobjectrequiredControls which sections are included in the report
projectDeclaredLicensesbooleanrequiredInclude project declared licenses section
firstPartyLicensesbooleanrequiredInclude first party licenses section
licenseListbooleanrequiredInclude license list section
directDependenciesbooleanrequiredInclude direct dependencies section
deepDependenciesbooleanrequiredInclude deep dependencies section
snippetDependenciesbooleanrequiredInclude snippet dependencies section
copyrightListbooleanrequiredInclude copyright list section
togglesobjectrequiredFeature toggles for report generation
useHashAndVersionDatabooleanrequiredInclude hash and version data in the report
excludeFieldsobjectrequiredFields to exclude from the report
packageLabelsinteger[]requiredList of package label IDs to exclude from the report
dependencyDataobjectrequiredControls which dependency data fields are included
projectsbooleanrequiredFor release group reports, show which projects the dependency is present in
authorsbooleanrequiredThe authors of the dependency
descriptionbooleanrequiredThe description of the dependency
homepagebooleanrequiredThe homepage of the dependency
packageManagerbooleanrequiredThe package manager of the dependency
downloadUrlbooleanrequiredThe download URL of the dependency
concludedLicensesbooleanrequiredThe concluded licenses of the dependency
declaredLicensesbooleanrequiredThe declared licenses of the dependency
discoveredLicensesbooleanrequiredThe discovered licenses of the dependency
copyrightsbooleanrequiredThe copyrights of the dependency
licenseUrlbooleanrequiredThe license URL of the dependency
licenseFileMatchesbooleanrequiredThe list of files that the license was discovered in
issueResolutionNotesbooleanrequiredIssue resolution notes
packageLabelsbooleanrequiredPackage labels
dependencyPathsbooleanrequiredThe origin paths of the dependency (what files the dependency was defined/found in)
filePathsbooleanrequiredThe paths_to of the dependency (the chain of dependencies that brought it into the project)
noticeFilesbooleanrequiredNotice files
fullLicenseTextbooleanrequiredFull license text
createdAtstring <date-time>requiredTimestamp when the report option was created
updatedAtstring <date-time>requiredTimestamp when the report option was last updated
400Bad Request - Invalid input or duplicate nameuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden - User lacks permission or report option not founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/report-options/1curl --request PUT \ --url 'https://app.fossa.com/api/report-options/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "name": "My Updated Report"}'Real request. Mutating methods can change data.
Path params
idintegerrequiredThe unique identifier of the report option to update